/*-----------------------------------------------------------------------------
//     $Date: 2004/09/07 20:57:44 $
//     $RCSfile: xromlcd.h,v $
//-----------------------------------------------------------------------------
//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
//
//---------------------------------------------------------------------------*/

#ifndef XROMLCD_H
#define XROMLCD_H

//=====================
//	TEST FUNCTIONS
//=====================
void XromLCDTest();
void LCDTestMenu();
void LCDTestInput(char ch);


//=====================
//	EXTERNAL FUNCTIONS
//=====================
void XromLCDOn();
void XromLCDOff();
void XromLCDClear();
void XromLCDInit();

void XromMoveCursorHome();
void XromMoveCursorRight();
void XromMoveCursorLeft();

void XromLCDSetLine(int line);
void XromLCDPrintChar(char c);
void XromLCDPrintString(char * line1, char * line2);


//=====================
//	INTERNAL FUNCTIONS
//=====================
void XromInitInst(void);
void XromWriteInst(unsigned long inst1, unsigned long inst2);
void XromWriteData(unsigned long data1, unsigned long data2);

#endif
